> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dittofeed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT /api/admin/subscription-groups/assignments

> Create or update user subscription group assignments. This performs a patch update on the user's subscription group assignments.



## OpenAPI

````yaml put /api/admin/subscription-groups/assignments
openapi: 3.1.0
info:
  title: Dittofeed API
  description: Dittofeed API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/subscription-groups/assignments:
    put:
      tags:
        - Subscription Groups
      description: >-
        Create or update user subscription group assignments. This performs a
        patch update on the user's subscription group assignments.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                workspaceId:
                  type: string
                userUpdates:
                  type: array
                  items:
                    type: object
                    properties:
                      userId:
                        type: string
                      changes:
                        description: >-
                          A map from subscription group ids to a boolean
                          indicating whether the user is subscribed to the
                          subscription group.
                        type: object
                        additionalProperties:
                          type: boolean
                    required:
                      - userId
                      - changes
              required:
                - workspaceId
                - userUpdates
        required: true
      responses:
        '200':
          description: An empty String
          content:
            application/json:
              schema:
                description: An empty String
                type: string

````